Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.jbpm
Class Mapping

    java.lang.Object
      org.jboss.soa.esb.services.jbpm.Mapping

All Implemented Interfaces:
  java.io.Serializable

    public class Mapping

extends java.lang.Object
implements java.io.Serializable

Author:
  kstam
See Also:
  Serialized Form

Constructor Summary
`Mapping()`

Method Summary
`java.lang.String` | `getBpm()`
`java.lang.String` | `getDefaultValue()`
`java.lang.String` | `getEsb()`
`java.lang.Boolean` | `getIsProcessScope()`
`static Mapping` | `parseMappingElement(ConfigTree mappingElement)`
`static Mapping` | `parseMappingElement(org.dom4j.Element mappingElement)`
`void` | `setBpm(java.lang.String bpm)`
`void` | `setDefaultValue(java.lang.String defaultValue)`
`void` | `setEsb(java.lang.String esb)`
`void` | `setIsProcessScope(java.lang.Boolean isProcessScope)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Mapping

    public Mapping()

Method Detail

### getBpm

    public java.lang.String getBpm()

### setBpm

    public void setBpm(java.lang.String bpm)

### getDefaultValue

    public java.lang.String getDefaultValue()

### setDefaultValue

    public void setDefaultValue(java.lang.String defaultValue)

### getEsb

    public java.lang.String getEsb()

### setEsb

    public void setEsb(java.lang.String esb)

### getIsProcessScope

    public java.lang.Boolean getIsProcessScope()

### setIsProcessScope

    public void setIsProcessScope(java.lang.Boolean isProcessScope)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### parseMappingElement

    public static Mapping parseMappingElement(org.dom4j.Element mappingElement)

  Parameters:
    `mappingElement` -
  Returns:

### parseMappingElement

    public static Mapping parseMappingElement(ConfigTree mappingElement)

  Parameters:
    `mappingElement` -
  Returns:

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD